List Variations
1 min
GET
https://api.optimizely.com/flags/v1//projects/{project_id}/flags/{flag_key}/variations
Path Parameters
- project_idintegerrequiredExampleDescription
- flag_keystringrequiredExampleDescription
Query Parameters
- per_pageinteger<int64>DescriptionFormatint64
- page_tokenstringDescription
- page_windowintegerDescription
- sortstring[]Description
- archivedbooleanDescription
- enabledbooleanDescription
- in_usebooleanDescription
- querystringDescription
Responses
200
- Variations
- countintegerrequiredExampleDescription
- create_urlobjectDescription
- UrlValue
- fetch_variation_urlobjectDescription
- UrlValue
- filter_urlobjectDescription
- UrlValue
- first_urlobjectrequiredDescription
- UrlValue
- itemsVariation[]required
- archive_urlobjectDescription
- UrlValue
- archivedbooleanDescription
- created_timestring<date-time>requiredDescriptionFormatdate-time
- delete_urlobjectDescription
- UrlValue
- descriptionstringDescription
- enabledbooleanDescription
- environment_usage_countmap<string, integer>Example
{ "development": 15, "production": 20 }Description - fetch_flag_urlobjectDescription
- UrlValue
- flag_keystringrequiredDescription
- idintegerrequiredDescription
- in_usebooleanDescription
- keystringrequiredDescription
- namestringrequiredDescription
- revisionintegerDescription
- rolestringExampleDescription
- screenshot_namestringExampleDescriptionMax Length255
- screenshot_urlstringExampleDescriptionMax Length2000
- unarchive_urlobjectDescription
- UrlValue
- update_urlobjectDescription
- UrlValue
- updated_timestring<date-time>requiredDescriptionFormatdate-time
- urlobjectrequiredDescription
- UrlValue
- urnstringrequiredDescription
- variablesmap<string, VariableValue>Description
- last_urlobjectrequiredDescription
- UrlValue
- next_urlobjectDescription
- UrlList
- pageintegerrequiredExampleDescription
- prev_urlobjectDescription
- UrlList
- reset_urlobjectDescription
- UrlValue
- sort_urlobjectDescription
- UrlValue
- total_countintegerrequiredExampleDescription
- total_pagesintegerrequiredExampleDescription
- urlobjectrequiredDescription
- UrlValue
400
401
403
curl
curl --request GET \
--url https://api.optimizely.com/flags/v1//projects/{project_id}/flags/{flag_key}/variations \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.optimizely.com/flags/v1//projects/{project_id}/flags/{flag_key}/variations", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.optimizely.com/flags/v1//projects/{project_id}/flags/{flag_key}/variations")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.optimizely.com/flags/v1//projects/{project_id}/flags/{flag_key}/variations"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Successful retrieval of a page of Variations for a Flag.
The response includes RESTful JSON (https://restfuljson.org/) styled links and pagination metadata.
Objects in this API MAY include a url property for a link to itself and MAY append _url to properties for related links.
If a link is not present in the response, it indicates a user is not authorized to access the related resource.
{
"count": 1,
"create_url": {},
"fetch_variation_url": {},
"filter_url": {},
"first_url": {},
"items": [
{
"archive_url": {},
"archived": false,
"created_time": "",
"delete_url": {},
"description": "",
"enabled": false,
"environment_usage_count": "{\"development\":15,\"production\":20}",
"fetch_flag_url": {},
"flag_key": "",
"id": 0,
"in_use": false,
"key": "",
"name": "",
"revision": 0,
"role": "admin",
"screenshot_name": "hero-banner.png",
"screenshot_url": "/projects/123/files/a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"unarchive_url": {},
"update_url": {},
"updated_time": "",
"url": {},
"urn": "",
"variables": ""
}
],
"last_url": {},
"next_url": {},
"page": 1,
"prev_url": {},
"reset_url": {},
"sort_url": {},
"total_count": 1,
"total_pages": 1,
"url": {}
}400
// Malformed requests and invalid parameter names and types
401
// Invalid credentials
403
// Do not have permission to perform the operation